Subject: Re: upload/umask

From: Jason Fry 7159 <[email-masked]>
Date: Tue, 14 Feb 1995 19:47:00 -0800 (PST)

>Easier than the compile time option is the "-u" _run_ time option in
>your inetd.conf file.  To get a mask of 0600, specify "-u077" - NO
>space after the "-u".

>Are you saying that my /etc/inetd.conf ftpd entry should look like this?

>ftp     stream  tcp     nowait  root    /usr/local/etc/ftpd     ftpd -u077 -l -L -i
>-a

>If so, it still doesn't work.  Whatever the permissions are before the file
>is brought over remains the same when the file it put on the system.

Looks good to me, did you tell inetd to reread the config file:
kill -1 "pid of inetd"
>From your previous post you wanted the files to be 600; if so your 
umask needs to be 177.  The way that you have it would cause files
to have permission 700.

Good Luck!
Jason K. Fry
Washington State Legislative Service Center